> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/managed-services.md).

# Managed Services

## GET /service

> List all managed services

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/service":{"get":{"operationId":"findAll_3","responses":{"200":{"description":"successful operation"}},"summary":"List all managed services","tags":["managed-services"]}}}}
```

## GET /service/{managedServiceId}

> Get a managed service by ID

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/service/{managedServiceId}":{"get":{"operationId":"getById_5","parameters":[{"description":"The ID of the managed service","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManagedServiceModel"}}},"description":"default response"}},"summary":"Get a managed service by ID","tags":["managed-services"]}}},"components":{"schemas":{"ManagedServiceModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"errorMessage":{"type":"string"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"nodeId":{"type":"string","format":"uuid"},"optionalDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"requiredDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"status":{"$ref":"#/components/schemas/ManagedServiceStatus"},"type":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}}},"ManagedServiceStatus":{"type":"object"}}}}
```

## PUT /service/{managedServiceId}

> Change an existing managed service

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/service/{managedServiceId}":{"put":{"operationId":"change_1","parameters":[{"description":"The ID of the managed service to change","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManagedServiceModel"}}},"description":"The new model for the managed service to change"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManagedServiceModel"}}},"description":"default response"}},"summary":"Change an existing managed service","tags":["managed-services"]}}},"components":{"schemas":{"ManagedServiceModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"errorMessage":{"type":"string"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"nodeId":{"type":"string","format":"uuid"},"optionalDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"requiredDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"status":{"$ref":"#/components/schemas/ManagedServiceStatus"},"type":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}}},"ManagedServiceStatus":{"type":"object"}}}}
```

## POST /service/{managedServiceId}/start

> Start a managed service

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/service/{managedServiceId}/start":{"post":{"operationId":"start_1","parameters":[{"description":"The ID of the managed service to start","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"202":{"description":"successful operation"}},"summary":"Start a managed service","tags":["managed-services"]}}}}
```

## POST /service/{managedServiceId}/stop

> Stop a managed service

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/service/{managedServiceId}/stop":{"post":{"operationId":"stop_1","parameters":[{"description":"The ID of the managed service to stop","in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"202":{"description":"successful operation"}},"summary":"Stop a managed service","tags":["managed-services"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/managed-services.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
